summaryrefslogtreecommitdiff
path: root/bootstrap-standalone
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap-standalone')
-rwxr-xr-xbootstrap-standalone33
1 files changed, 33 insertions, 0 deletions
diff --git a/bootstrap-standalone b/bootstrap-standalone
new file mode 100755
index 0000000..620c392
--- /dev/null
+++ b/bootstrap-standalone
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+# Bootstrap a standalone Taler installation from source,
+# on one single user account, without blue/green deployment.
+
+set -eu
+
+base=$HOME
+
+mkdir -p $base
+
+cd $base
+
+if ! test -d $base/gnunet; then
+ svn checkout https://gnunet.org/svn/gnunet
+fi
+
+if ! test -d $base/libmicrohttpd; then
+ svn checkout https://gnunet.org/svn/libmicrohttpd
+fi
+
+for component in bank merchant gnurl landing exchange merchant-frontends deployment; do
+ if ! test -d $base/$component; then
+ git clone git://taler.net/$component
+ fi
+done
+
+cat >$base/activate <<EOL
+#!/bin/bash
+export PATH="$base/local/bin:$base/deployment/bin:\$PATH"
+EOL
+
+mkdir -p $base/.config